Bug 127059 - usb devices not recognized
usb devices not recognized
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-01 02:51 EDT by dominique belloeil
Modified: 2015-01-04 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:36:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dominique belloeil 2004-07-01 02:51:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Hi, everybody,

I have 2 usb devices that worked well with RH9
- a camera Sony DSC-P1
- a mp3-player Archos Jukebox recorder

When I plugged these devices on RH9, i got a /dev/sda1 or sdb1 that i
had to mount,
everything was fine.

Now, with FC2, i cant get it !
[root@dom root]# uname -r
2.6.6-1.435

#tail -f /var/log/messages
...
Jun 27 16:07:35 dom kernel: usb 4-1: new full speed USB device using
address 2
Jun 27 16:07:40 dom kernel: usb 4-1: control timeout on ep0out
Jun 27 16:07:40 dom kernel: uhci_hcd 0000:00:1d.2: Unlink after
no-IRQ?  Different ACPI or APIC settings may help.
Jun 27 16:07:45 dom kernel: usb 4-1: control timeout on ep0out
Jun 27 16:07:46 dom kernel: usb 4-1: device not accepting address 2,
error -110
Jun 27 16:07:46 dom kernel: usb 4-1: new full speed USB device using
address 3
Jun 27 16:07:51 dom kernel: usb 4-1: control timeout on ep0out
Jun 27 16:07:56 dom kernel: usb 4-1: control timeout on ep0out
Jun 27 16:07:56 dom kernel: usb 4-1: device not accepting address 3,
error -110
Jun 27 16:08:31 dom su(pam_unix)[2642]: session opened for user root
by do(uid=500)

At that point, i see that usb-storage is not loaded

[root@dom root]# modprobe usb-storage
[root@dom root]# lsmod | sort
ac                      3340  0
asus_acpi               8984  0
autofs4                12932  0
battery                 6924  0
button                  4632  0
dm_mod                 32800  0
ehci_hcd               22916  0
ext3                  103656  2
floppy                 47440  0
ipv6                  184672  10
jbd                    40728  1 ext3
lp                      8236  0
microcode               4768  0
Module                  Size  Used by
parport                29640  2 parport_pc,lp
parport_pc             19392  1
pcspkr                  3176  0
scsi_mod               91984  2 usb_storage,sg
sg                     27680  0
snd                    39396  13
snd_mixer_oss,snd_emu10k1,snd_rawmidi,snd_pcm,snd_timer,snd_seq_device,snd_ac97_codec,snd_util_mem,snd_hwdep
snd_ac97_codec         54788  1 snd_emu10k1
snd_emu10k1            71560  5
snd_hwdep               6276  1 snd_emu10k1
snd_mixer_oss          13824  3
snd_page_alloc          8072  2 snd_emu10k1,snd_pcm
snd_pcm                69256  1 snd_emu10k1
snd_rawmidi            17444  1 snd_emu10k1
snd_seq_device          6152  2 snd_emu10k1,snd_rawmidi
snd_timer              17284  1 snd_pcm
snd_util_mem            3200  1 snd_emu10k1
soundcore               6112  4 snd
sunrpc                109924  1
tulip                  36384  0
uhci_hcd               24472  0
usb_storage            53576  0
[root@dom root]#

Then i try to unplug/plug the device, 
It appends these lines to my /var/log/messages

Jun 27 16:09:40 dom kernel: Initializing USB Mass Storage driver...
Jun 27 16:09:40 dom kernel: usbcore: registered new driver usb-storage
Jun 27 16:09:40 dom kernel: USB Mass Storage support registered.
Jun 27 16:10:07 dom kernel: usb 4-1: new full speed USB device using
address 4
Jun 27 16:10:12 dom kernel: usb 4-1: control timeout on ep0out
Jun 27 16:10:17 dom kernel: usb 4-1: control timeout on ep0out
Jun 27 16:10:18 dom kernel: usb 4-1: device not accepting address 4,
error -110
Jun 27 16:10:18 dom kernel: usb 4-1: new full speed USB device using
address 5
Jun 27 16:10:23 dom kernel: usb 4-1: control timeout on ep0out
Jun 27 16:10:28 dom kernel: usb 4-1: control timeout on ep0out
Jun 27 16:10:28 dom kernel: usb 4-1: device not accepting address 5,
error -110

If I try to boot with 2 usb disk of 80M, that i have registered in
/etc/fstab
these disk are mounted without problems.

Please, what should i try ?
-- 
dominique belloeil <dominique@phpdb.com>


-------------- then ---------------------------------------

my grub.conf allows me to boot on the previous kernel
[do@dom do]$ uname -r
2.6.5-1.358

i did it, and when i plug the camera sony, it works fine
then, i plus the plug the archos, it ignores it.

Jun 29 07:46:28 dom kernel: usb 4-1: new full speed USB device using
address 2
Jun 29 07:46:29 dom kernel: scsi1 : SCSI emulation for USB Mass
Storage devices
Jun 29 07:46:29 dom kernel:   Vendor: Sony      Model: Sony DSC      
   Rev: 2.10
Jun 29 07:46:29 dom kernel:   Type:   Direct-Access                  
   ANSI SCSI revision: 02
Jun 29 07:46:29 dom kernel: SCSI device sdb: 126848 512-byte hdwr
sectors (65 MB)
Jun 29 07:46:29 dom kernel: sdb: assuming Write Enabled
Jun 29 07:46:29 dom kernel: sdb: assuming drive cache: write through
Jun 29 07:46:30 dom kernel:  sdb: sdb1
Jun 29 07:46:30 dom kernel: Attached scsi removable disk sdb at scsi1,
channel 0, id 0, lun 0
Jun 29 07:46:30 dom scsi.agent[3867]: disk at
/devices/pci0000:00/0000:00:1d.2/usb4/4-1/4-1:1.0/host1/1:0:0:0

i tried again twice, it was OK

therefore,
- my sony is understood by the kernel 2.6.5-1.358
and not by the 2.6.6-1.435
- my archos-jukebox(mp3 player) is never recognized with these kernel,
it was fine on RH9.

strange...

then, i tried my archos on an another computer FC1 ONE
2 4 22 1 2115 nptl
it is recognized on it ! fine.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.plug the device 
2.
3.
    

Actual Results:  devices ignored


Expected Results:  devices recognized as usb-storage (ie on /dev/sda1)


Additional info:
Comment 1 Timothy Ha 2004-07-03 08:57:31 EDT
Nearly same problems with a Sarotech USB 2.0 HDD device.

1) WHEN I TURN ON THE USB EXTERNAL HDD:

usb 4-3: new high speed USB device using address 2
Initializing USB Mass Storage driver...
scsi0 : SCSI emulation for USB Mass Storage devices
Vendor: Model: Rev:
Type: Direct-Access ANSI SCSI revision: 02
Attached scsi generic sg0 at scsi0, channel 0, id 0, lun 0, type 0
USB Mass Storage device found at 2
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
SCSI device sda: 241254721 512-byte hdwr sectors (123522 MB)
sda: assuming drive cache: write through
sda:

At this step the computer seems to do nothing more. The red led on USB
HDD is lighted. Some activity happening.

2) LSMOD shows

# /sbin/lsmod
Module Size Used by
sd_mod 16472 2
usb_storage 53576 1
ehci_hcd 22916 0
sg 27680 0
scsi_mod 91984 3 sd_mod,usb_storage,sg
vfat 9984 1
fat 33600 1 vfat
uhci_hcd 24472 0
ext3 103656 3
jbd 40728 1 ext3
.....

3) NOTHING HAPPENING, UNTIL I TURN OFF THE USB DRIVE. DMESG SHOWS
ERRORS LIKE:

Buffer I/O error on device sda, logical block 56918292
SCSI error : <0 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 56918293
Buffer I/O error on device sda, logical block 56918293
SCSI error : <0 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 56918294
Buffer I/O error on device sda, logical block 56918294
SCSI error : <0 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 56918295
Buffer I/O error on device sda, logical block 56918295
> sda2
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
updfstab: Using deprecated /dev/sg mechanism instead of SG_IO on the
actual device
inserting floppy driver for 2.6.6-1.435
usb 4-3: USB disconnect, address 2
Comment 2 Timothy Ha 2004-07-03 08:59:48 EDT
My HDD works for Fedora Core 1 and Windows XP with no problems. It has
external power, not powered from USB bus.
Comment 3 dominique belloeil 2004-07-04 04:09:52 EDT
i tried 2.6.7-1.459 for no better results.

[root@dom root]# uname -r
2.6.7-1.459

tail -f /var/log/messages

Jul  4 14:53:08 dom kernel: usb 2-1: new full speed USB device using
address 2
Jul  4 14:53:13 dom kernel: usb 2-1: control timeout on ep0out
Jul  4 14:53:13 dom kernel: uhci_hcd 0000:00:1d.0: Unlink after
no-IRQ?  Different ACPI or APIC settings may help.
Jul  4 14:53:18 dom kernel: usb 2-1: control timeout on ep0out
Jul  4 14:53:19 dom kernel: usb 2-1: device not accepting address 2,
error -110
Jul  4 14:53:19 dom kernel: usb 2-1: new full speed USB device using
address 3
Jul  4 14:53:24 dom kernel: usb 2-1: control timeout on ep0out
Jul  4 14:53:29 dom kernel: usb 2-1: control timeout on ep0out
Jul  4 14:53:29 dom kernel: usb 2-1: device not accepting address 3,
error -110

good luck to you
Comment 4 Hiran Arias 2004-08-28 23:46:29 EDT
I have the same issue and also try upgrading the kernel to 2.6.8-1.521
with the same results:

[root@replace root]# uname -r
2.6.8-1.521
[root@replace root]# tail -f /var/log/messages
Aug 28 23:06:32 replace pppd[3147]: CCP: timeout sending Config-Requests
Aug 28 23:41:52 replace su(pam_unix)[3471]: session opened for user
root by user(uid=500)
Aug 28 23:42:22 replace kernel: usb 2-1: new full speed USB device
using address 2
Aug 28 23:42:27 replace kernel: usb 2-1: control timeout on ep0out
Aug 28 23:42:32 replace kernel: usb 2-1: control timeout on ep0out
Aug 28 23:42:32 replace kernel: usb 2-1: device not accepting address
2, error -110
Aug 28 23:42:32 replace kernel: usb 2-1: new full speed USB device
using address 3
Aug 28 23:42:37 replace kernel: usb 2-1: control timeout on ep0out
Aug 28 23:42:43 replace kernel: usb 2-1: control timeout on ep0out
Aug 28 23:42:43 replace kernel: usb 2-1: device not accepting address
3, error -110

And if a do a lsusb only get my hubs:

[root@replace root]# lsusb -v
 
Bus 004 Device 001: ID 0000:0000
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0
  bMaxPacketSize0         8
  idVendor           0x0000
  idProduct          0x0000
  bcdDevice            2.06
  iManufacturer           3 Linux 2.6.8-1.521 uhci_hcd
  iProduct                2 UHCI Host Controller
  iSerial                 1 0000:00:1d.2
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0
    bmAttributes         0xc0
      Self Powered
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0
      iInterface              0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               none
          Usage Type               Data
        wMaxPacketSize     0x0002  bytes 2 once
        bInterval             255
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             2
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood        1 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0xfe
  PortPwrCtrlMask    0x6a
  Language IDs: (length=4)
     0409 English(US)
 
Bus 003 Device 001: ID 0000:0000
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0
  bMaxPacketSize0         8
  idVendor           0x0000
  idProduct          0x0000
  bcdDevice            2.06
  iManufacturer           3 Linux 2.6.8-1.521 uhci_hcd
  iProduct                2 UHCI Host Controller
  iSerial                 1 0000:00:1d.1
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0
    bmAttributes         0xc0
      Self Powered
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0
      iInterface              0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               none
          Usage Type               Data
        wMaxPacketSize     0x0002  bytes 2 once
        bInterval             255
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             2
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood        1 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0xfe
  PortPwrCtrlMask    0x6a
  Language IDs: (length=4)
     0409 English(US)
 
Bus 002 Device 001: ID 0000:0000
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0
  bMaxPacketSize0         8
  idVendor           0x0000
  idProduct          0x0000
  bcdDevice            2.06
  iManufacturer           3 Linux 2.6.8-1.521 uhci_hcd
  iProduct                2 UHCI Host Controller
  iSerial                 1 0000:00:1d.0
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0
    bmAttributes         0xc0
      Self Powered
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0
      iInterface              0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               none
          Usage Type               Data
        wMaxPacketSize     0x0002  bytes 2 once
        bInterval             255
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             2
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood        1 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0xfe
  PortPwrCtrlMask    0x6a
  Language IDs: (length=4)
     0409 English(US)
 
Bus 001 Device 001: ID 0000:0000
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         1 Single TT
  bMaxPacketSize0         8
  idVendor           0x0000
  idProduct          0x0000
  bcdDevice            2.06
  iManufacturer           3 Linux 2.6.8-1.521 ehci_hcd
  iProduct                2 EHCI Host Controller
  iSerial                 1 0000:00:1d.7
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0
      iInterface              0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               none
          Usage Type               Data
        wMaxPacketSize     0x0002  bytes 2 once
        bInterval              12
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             6
  wHubCharacteristic 0x0008
    Ganged power switching
    Per-port overcurrent protection
    TT think time 8 FS bits
  bPwrOn2PwrGood       10 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0xfe
  PortPwrCtrlMask    0x6a
  Language IDs: (length=4)
     0409 English(US)


I also try with the kernel parameter pci=noacpi and apci=off with out
any results.
Comment 5 Hiran Arias 2004-08-30 01:50:45 EDT
Hello again, my problem was just solve when I recompile the kernel and
changing the ehci-hcd and uhci-hcd modules to be part of the kernel
and not as modules but now I can't see the files that supouse to be in
/proc/bus/usb and for that the commands lsusb and usbview are not working.

Some knows why can I see thouse files???
Comment 6 Timothy Ha 2004-11-11 17:56:31 EST
I would like to add to Comment #1 that I wrote earlier. The Sarotech
USB HDD is working in Ubuntu 4.10, but not in Fedora Core 3 final.
What's the problem?

Is it some hack that Ubuntu kernel (2.6.8.xx) has that FC3 doesn't?
Comment 7 Dave Jones 2005-04-16 01:36:15 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.